Plans & Addons
List plans and their prices
GET
Permission: any token
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
Successful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/plans"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "plans": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "monthly_price": "string", "yearly_price": "string", "description": "string", "sites": 0, "storage": 0, "nginx_cpu_limit": "string", "nginx_mem_limit": "string", "php_cpu_limit": "string", "php_mem_limit": "string", "db_cpu_limit": "string", "db_mem_limit": "string", "redis_cpu_limit": "string", "redis_mem_limit": "string", "config_profile": "string", "staging_days": 0, "trial_days": 0, "is_active": true, "created_at": "2019-08-24T14:15:22Z" } ], "trial_plan": null, "addons": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "monthly_price": "string", "yearly_price": "string", "type": "string", "resource_type": "string", "resource_amount": 0, "description": "string", "is_active": true } ] }}